import * as T from './types';

export default {
    // 设置App元数据
    [T.SET_DESIGN_META]({ commit }, meta) {
        commit(T.UPDATE_DESIGN_META, meta)
    },

    // 设置当前视图名称
    [T.SET_CURRVIEW_NAME]({ commit }, viewName) {
        commit(T.UPDATE_CURRVIEW_NAME, viewName)
    },

    // 设置当前视图下的内容Items
    [T.SET_VIEW_ITEMS]({ commit }, items) {
        commit(T.UPDATE_VIEW_ITEMS, items)
    },

    // 注册组件
    [T.REGISTER_COMPS]({ commit }, components) {
        commit(T.UPDATE_COMPS, components)
    },

    // 当前视图添加组件
    [T.ADD_VIEW_COMP]({ commit }, compInfo) {
        commit(T.UPDATE_VIEW_COMP, compInfo)
    },

    // 设置编辑的组件
    [T.SET_SELECT_COMP]({ commit }, meta) {
        commit(T.UPDATE_SELECT_COMP, meta)
    },

    // 删除组件
    [T.SET_DELETE_COMP]({ commit }, meta) {
        commit(T.DELETE_COMP, meta)
    },

    // 排序导航
    [T.SET_TABS_SORT]({ commit }, tabs) {
        commit(T.UPDATE_TABS_SORT, tabs)
    },
    // 删除导航
    [T.TO_DELETE_TAB]({ commit }, tab) {
        commit(T.DELETE_TAB, tab)
    },

    // 新增/修改导航
    [T.TO_ADDOREDIT_TAB]({ commit }, tabinfo) {
        commit(T.DO_ADDOREDIT_TAB, tabinfo)
    },

    // 新增/修改页面列表
    [T.SET_PAGE_LIST]({ commit }, pages) {
        commit(T.UPDATE_PAGE_LIST, pages)
    }
}
